#include <iostream>

using namespace std;

int main(void)
{
    int x1, y1, x2, y2;
    cin >> x1 >> y1 >> x2 >> y2;
    int resenje=0;
    if(x1==x2 || y1==y2)
        resenje=2;
    else if(abs(x1-x2) == abs(y1-y2))
        resenje=1;
    cout << resenje;

}